# $Revision: 1.20.2.2 $, $Date: 2003/07/23 01:06:40 $
# TODO:
# - build with MPICH
# - enable Stream VFD support
# - check missing file
Summary:	Hierarchical Data Format 5 library
Summary(pl):	Biblioteka HDF5 (Hierarchical Data Format 5)
Name:		hdf5
Version:	1.6.0
Release:	1
Group:		Libraries
License:	Nearly BSD, but changed sources must be marked
Source0:	ftp://ftp.ncsa.uiuc.edu/HDF/HDF5/%{name}-%{version}/src/%{name}-%{version}.tar.gz
# Source0-md5:	6002dd2774931ec8c429671cb416d26e
Patch0:		%{name}-config.patch
URL:		http://hdf.ncsa.uiuc.edu/HDF5/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libjpeg-devel >= 6b
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	openssl-devel >= 0.9.6j
BuildRequires:	zlib-devel >= 1.1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HDF5 is a completely new Hierarchical Data Format product consisting
of a data format specification and a supporting library
implementation. HDF5 is designed to address some of the limitations of
the older HDF product and to address current and anticipated
requirements of modern systems and applications.

%description -l pl
HDF5 jest cakowicie nowym produktem Hierarchiczego Formatu Danych,
skadajcym si ze specyfikacji formatu danych oraz obsugujcej go
biblioteki. HDF5 zosta zaprojektowany aby pozby si ogranicze
poprzedniego HDF oraz eby zaspokoi biece i przysze potrzeby
wspczesnych systemw i aplikacji.

%package devel
Summary:	HDF5 library development package
Summary(pl):	Pliki nagwkowe biblioteki HDF5
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	openssl-devel
Requires:	zlib-devel

%description devel
Header files for HDF5 library and HDF5 documentation.

%description devel -l pl
Pliki nagwkowe biblioteki HDF5 oraz dokumentacja HDF5.

%package static
Summary:	HDF5 static library
Summary(pl):	Statyczna biblioteka HDF5
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static version of HDF5 library.

%description static -l pl
Statyczna wersja biblioteki HDF5.

%package progs
Summary:	HDF5 utilities
Summary(pl):	Narzdzia do plikw HDF5
Group:		Applications/File
Requires:	%{name} = %{version}

%description progs
Utilities to convert from/to HDF5 format.

%description progs -l pl
Narzdzia do konwersji z i to formatu HDF5.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
cd c++
%{__aclocal}
%{__autoconf}
cd ..
%configure \
	--enable-cxx \
	--enable-linux-lfs \
	--enable-threadsafe \
	--enable-production \
	--with-pthread \
	--with-ssl

#	--enable-fortran  - requires Fortran90 compiler

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}

%{__make} install \
	libdir=$RPM_BUILD_ROOT%{_libdir} \
	includedir=$RPM_BUILD_ROOT%{_includedir} \
	bindir=$RPM_BUILD_ROOT%{_bindir} \
	docdir=$RPM_BUILD_ROOT%{_docdir}

find doc -name Dependencies -o -name Makefile\* | xargs rm -f

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
mv -f $RPM_BUILD_ROOT%{_docdir}/hdf5/examples/{c,c++} \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README.txt release_docs/{HISTORY.txt,RELEASE.txt}
%attr(755,root,root) %{_libdir}/lib*.so.*.*
#check this
#%{_libdir}/libhdf5.settings

%files devel
%defattr(644,root,root,755)
%doc doc/html
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: hdf5.spec,v $
Revision 1.20.2.2  2003/07/23 01:06:40  undefine
- BR: openssl >= 0.9.6j
- release 1 - seems to work with octave, STBR

Revision 1.20.2.1  2003/07/22 22:32:19  undefine
- on RA there is no openssl-devel

Revision 1.20  2003/07/19 14:49:44  qboosh
- up to 1.6.0
- updated config patch, removed obsolete ac patch

Revision 1.19  2003/06/16 19:09:15  blues
- massive: cleanup in setup parameters (based on kloczek changes), small
  cosmetic fixes

Revision 1.18  2003/05/28 12:59:04  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 05:48:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/04/01 16:34:23  wiget
- start update to 1.4.5 (almost done)

Revision 1.15  2003/02/13 14:03:33  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.14  2002/11/25 14:16:44  ankry
- massive attack: no need for 755 for *.la

Revision 1.13  2002/10/05 14:00:18  qboosh
- killed subshell
- updated config patch: allow using -march=athlon, support for gcc 3.2,
  disabled static linking of tests (required libstdc++-static)
- release 3

Revision 1.12  2002/09/25 22:33:15  ankry
- removed BR hdf 4, added more programs, fixed URL
- release 2, stbr

Revision 1.11  2002/09/25 12:24:05  ankry
- updated to 1.4.4, rel. 1
NOTE: no hdf4 stuff

Revision 1.10  2002/09/25 08:40:56  ankry
- finished new %%doc

Revision 1.9  2002/09/24 14:33:31  kloczek
- !sort BuildRequires rules and use new %%doc.

Revision 1.8  2002/06/23 20:32:29  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%%\{__libtoolize\}/"

Revision 1.7  2002/05/21 23:13:33  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%%\{__automake\}/; \
             s/^automake -a -c -f/\%%\{__automake\}/; \
	     s/^autoconf/\%%\{__autoconf\}/"

Revision 1.6  2002/04/25 16:33:20  arturs
fixed a small typo

Revision 1.5  2002/02/22 23:29:02  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:13:16  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/10/26 18:21:08  qboosh
- enabled HDF 4.x <> HDF5 converters - as separate package (requires hdf libs)
- hdf4link patch - link with hdf 4.x only these binaries that require it
- acfix patch - ac 2.52 ready
- moved API and HDF5 format documentation to -devel
- release 2

Revision 1.2  2001/10/16 21:09:42  ankry
- fixed source URL

Revision 1.1  2001/10/16 13:42:26  qboosh
- new: HDF5 library (no, it doesn't obsolete HDF 4.x)
